function data_term = compute_data_term_L1(input_image_l, input_image_r, ...
  max_disparity)

% COMPUTE_DATA_TERM Estimates the cost of assigning disparities to pixels
% using the method suggested by the assignment page.
%    [DATA_TERM] = COMPUTE_DATA_TERM(INPUT_IMAGE_L, INPUT_IMAGE_R,
%    MAX_DISPARITY) takes as input a pair of grayscale images and the
%    maximum disparity, and returns a matrix showing the data cost.
%
%    input parameters:
%       INPUT_IMAGE_L             - The left image of the input stereo pair.
%       INPUT_IMAGE_R             - The right image of the input stereo pair.
%                                   Both input images are grayscale images 
%                                   with double intensity values ranging from
%                                   0 to 255.
%       MAX_DISPARITY             - The maximum disparity.
%
%       YOU CAN ADD MORE INPUT PARAMETERS IF NECESSARY
%
%    output_parameters: 
%       DATA_TERM                 - A matrix showing the cost of assigning
%                                   disparities to pixels with
%                                   dimensionality height x width x
%                                   (max_disparity + 1).

% YOUR IMPLEMENTATION GOES HERE...

[height, width] = size(input_image_l);
data_term = inf(height, width, max_disparity + 1);  % This initialization might be
                                                    % deleted or altered according
                                                    % to your implementation.

end
